Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class TestConversationBind

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.springframework.test.ConditionalTestCase
                  org.springframework.test.AbstractSpringContextTests
                      org.springframework.test.AbstractSingleSpringContextTests
                          org.springframework.test.AbstractDependencyInjectionSpringContextTests
                              org.apache.myfaces.orchestra.conversation.TestConversationBind

All Implemented Interfaces:
  junit.framework.Test

    public class TestConversationBind

extends org.springframework.test.AbstractDependencyInjectionSpringContextTests

Test the Conversation.bind method.

Normally a bean is associated with a conversation by defining it in Spring and setting its scope to be an appropriate SpringConversationScope object. However that requires the object to be fetched from Spring.

However sometimes an instance is created via some other means (eg directly via "new") and we want to force a specific conversation to be entered whenever any of its methods is invoked. The Conversation.bind(obj) method can be used to attach the object to the specified conversation (which is normally the current conversation).

Nested Class Summary
`static class` | `TestConversationBind.Dummy`

Field Summary

Fields inherited from class org.springframework.test.AbstractDependencyInjectionSpringContextTests
`AUTOWIRE_BY_NAME, AUTOWIRE_BY_TYPE, AUTOWIRE_NO`

Fields inherited from class org.springframework.test.AbstractSingleSpringContextTests
`applicationContext`

Fields inherited from class org.springframework.test.ConditionalTestCase
`logger`

Constructor Summary
`TestConversationBind()`

Method Summary
`protected java.lang.String[]` | `getConfigLocations()`
`protected void` | `onSetUp()`
`void` | `testBind()`
`void` | `testBindToInvalidatedConversation()`

Methods inherited from class org.springframework.test.AbstractDependencyInjectionSpringContextTests
`getAutowireMode, injectDependencies, isDependencyCheck, isPopulateProtectedVariables, prepareTestInstance, setAutowireMode, setDependencyCheck, setPopulateProtectedVariables`

Methods inherited from class org.springframework.test.AbstractSingleSpringContextTests
`contextKey, createApplicationContext, customizeBeanFactory, getApplicationContext, getConfigPath, getConfigPaths, getLoadCount, loadContext, loadContextLocations, onTearDown, setDirty, setUp, tearDown`

Methods inherited from class org.springframework.test.AbstractSpringContextTests
`addContext, contextKeyString, getContext, hasCachedContext, setDirty`

Methods inherited from class org.springframework.test.ConditionalTestCase
`getDisabledTestCount, isDisabledInThisEnvironment, recordDisabled, runBare`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestConversationBind

    public TestConversationBind()

Method Detail

### getConfigLocations

    protected java.lang.String[] getConfigLocations()

  Overrides:
    `getConfigLocations` in class `org.springframework.test.AbstractSingleSpringContextTests`

### onSetUp

    protected void onSetUp()
                    throws java.lang.Exception

  Overrides:
    `onSetUp` in class `org.springframework.test.AbstractSingleSpringContextTests`
  Throws:
    `java.lang.Exception`

### testBind

    public void testBind()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBindToInvalidatedConversation

    public void testBindToInvalidatedConversation()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.